Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network248.78.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
248.78.0.0
Broadcast address
248.78.255.255
First usable
248.78.0.1
Last usable
248.78.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F84E0000 · Integer 4165861376 to 4165926911
Reverse DNS zone
78.248.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111000.01001110..00000000.00000000248.78.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11111000.01001110..00000000.00000000248.78.0.0
Broadcast11111000.01001110..11111111.11111111248.78.255.255
Split into smaller subnets/23

248.78.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1248.78.0.0/23248.78.0.1 to 248.78.1.254248.78.1.255510
2248.78.2.0/23248.78.2.1 to 248.78.3.254248.78.3.255510
3248.78.4.0/23248.78.4.1 to 248.78.5.254248.78.5.255510
4248.78.6.0/23248.78.6.1 to 248.78.7.254248.78.7.255510
5248.78.8.0/23248.78.8.1 to 248.78.9.254248.78.9.255510
6248.78.10.0/23248.78.10.1 to 248.78.11.254248.78.11.255510
7248.78.12.0/23248.78.12.1 to 248.78.13.254248.78.13.255510
8248.78.14.0/23248.78.14.1 to 248.78.15.254248.78.15.255510
9248.78.16.0/23248.78.16.1 to 248.78.17.254248.78.17.255510
10248.78.18.0/23248.78.18.1 to 248.78.19.254248.78.19.255510
11248.78.20.0/23248.78.20.1 to 248.78.21.254248.78.21.255510
12248.78.22.0/23248.78.22.1 to 248.78.23.254248.78.23.255510
13248.78.24.0/23248.78.24.1 to 248.78.25.254248.78.25.255510
14248.78.26.0/23248.78.26.1 to 248.78.27.254248.78.27.255510
15248.78.28.0/23248.78.28.1 to 248.78.29.254248.78.29.255510
16248.78.30.0/23248.78.30.1 to 248.78.31.254248.78.31.255510
17248.78.32.0/23248.78.32.1 to 248.78.33.254248.78.33.255510
18248.78.34.0/23248.78.34.1 to 248.78.35.254248.78.35.255510
19248.78.36.0/23248.78.36.1 to 248.78.37.254248.78.37.255510
20248.78.38.0/23248.78.38.1 to 248.78.39.254248.78.39.255510
21248.78.40.0/23248.78.40.1 to 248.78.41.254248.78.41.255510
22248.78.42.0/23248.78.42.1 to 248.78.43.254248.78.43.255510
23248.78.44.0/23248.78.44.1 to 248.78.45.254248.78.45.255510
24248.78.46.0/23248.78.46.1 to 248.78.47.254248.78.47.255510
25248.78.48.0/23248.78.48.1 to 248.78.49.254248.78.49.255510
26248.78.50.0/23248.78.50.1 to 248.78.51.254248.78.51.255510
27248.78.52.0/23248.78.52.1 to 248.78.53.254248.78.53.255510
28248.78.54.0/23248.78.54.1 to 248.78.55.254248.78.55.255510
29248.78.56.0/23248.78.56.1 to 248.78.57.254248.78.57.255510
30248.78.58.0/23248.78.58.1 to 248.78.59.254248.78.59.255510
31248.78.60.0/23248.78.60.1 to 248.78.61.254248.78.61.255510
32248.78.62.0/23248.78.62.1 to 248.78.63.254248.78.63.255510
33248.78.64.0/23248.78.64.1 to 248.78.65.254248.78.65.255510
34248.78.66.0/23248.78.66.1 to 248.78.67.254248.78.67.255510
35248.78.68.0/23248.78.68.1 to 248.78.69.254248.78.69.255510
36248.78.70.0/23248.78.70.1 to 248.78.71.254248.78.71.255510
37248.78.72.0/23248.78.72.1 to 248.78.73.254248.78.73.255510
38248.78.74.0/23248.78.74.1 to 248.78.75.254248.78.75.255510
39248.78.76.0/23248.78.76.1 to 248.78.77.254248.78.77.255510
40248.78.78.0/23248.78.78.1 to 248.78.79.254248.78.79.255510
41248.78.80.0/23248.78.80.1 to 248.78.81.254248.78.81.255510
42248.78.82.0/23248.78.82.1 to 248.78.83.254248.78.83.255510
43248.78.84.0/23248.78.84.1 to 248.78.85.254248.78.85.255510
44248.78.86.0/23248.78.86.1 to 248.78.87.254248.78.87.255510
45248.78.88.0/23248.78.88.1 to 248.78.89.254248.78.89.255510
46248.78.90.0/23248.78.90.1 to 248.78.91.254248.78.91.255510
47248.78.92.0/23248.78.92.1 to 248.78.93.254248.78.93.255510
48248.78.94.0/23248.78.94.1 to 248.78.95.254248.78.95.255510
49248.78.96.0/23248.78.96.1 to 248.78.97.254248.78.97.255510
50248.78.98.0/23248.78.98.1 to 248.78.99.254248.78.99.255510
51248.78.100.0/23248.78.100.1 to 248.78.101.254248.78.101.255510
52248.78.102.0/23248.78.102.1 to 248.78.103.254248.78.103.255510
53248.78.104.0/23248.78.104.1 to 248.78.105.254248.78.105.255510
54248.78.106.0/23248.78.106.1 to 248.78.107.254248.78.107.255510
55248.78.108.0/23248.78.108.1 to 248.78.109.254248.78.109.255510
56248.78.110.0/23248.78.110.1 to 248.78.111.254248.78.111.255510
57248.78.112.0/23248.78.112.1 to 248.78.113.254248.78.113.255510
58248.78.114.0/23248.78.114.1 to 248.78.115.254248.78.115.255510
59248.78.116.0/23248.78.116.1 to 248.78.117.254248.78.117.255510
60248.78.118.0/23248.78.118.1 to 248.78.119.254248.78.119.255510
61248.78.120.0/23248.78.120.1 to 248.78.121.254248.78.121.255510
62248.78.122.0/23248.78.122.1 to 248.78.123.254248.78.123.255510
63248.78.124.0/23248.78.124.1 to 248.78.125.254248.78.125.255510
64248.78.126.0/23248.78.126.1 to 248.78.127.254248.78.127.255510
65248.78.128.0/23248.78.128.1 to 248.78.129.254248.78.129.255510
66248.78.130.0/23248.78.130.1 to 248.78.131.254248.78.131.255510
67248.78.132.0/23248.78.132.1 to 248.78.133.254248.78.133.255510
68248.78.134.0/23248.78.134.1 to 248.78.135.254248.78.135.255510
69248.78.136.0/23248.78.136.1 to 248.78.137.254248.78.137.255510
70248.78.138.0/23248.78.138.1 to 248.78.139.254248.78.139.255510
71248.78.140.0/23248.78.140.1 to 248.78.141.254248.78.141.255510
72248.78.142.0/23248.78.142.1 to 248.78.143.254248.78.143.255510
73248.78.144.0/23248.78.144.1 to 248.78.145.254248.78.145.255510
74248.78.146.0/23248.78.146.1 to 248.78.147.254248.78.147.255510
75248.78.148.0/23248.78.148.1 to 248.78.149.254248.78.149.255510
76248.78.150.0/23248.78.150.1 to 248.78.151.254248.78.151.255510
77248.78.152.0/23248.78.152.1 to 248.78.153.254248.78.153.255510
78248.78.154.0/23248.78.154.1 to 248.78.155.254248.78.155.255510
79248.78.156.0/23248.78.156.1 to 248.78.157.254248.78.157.255510
80248.78.158.0/23248.78.158.1 to 248.78.159.254248.78.159.255510
81248.78.160.0/23248.78.160.1 to 248.78.161.254248.78.161.255510
82248.78.162.0/23248.78.162.1 to 248.78.163.254248.78.163.255510
83248.78.164.0/23248.78.164.1 to 248.78.165.254248.78.165.255510
84248.78.166.0/23248.78.166.1 to 248.78.167.254248.78.167.255510
85248.78.168.0/23248.78.168.1 to 248.78.169.254248.78.169.255510
86248.78.170.0/23248.78.170.1 to 248.78.171.254248.78.171.255510
87248.78.172.0/23248.78.172.1 to 248.78.173.254248.78.173.255510
88248.78.174.0/23248.78.174.1 to 248.78.175.254248.78.175.255510
89248.78.176.0/23248.78.176.1 to 248.78.177.254248.78.177.255510
90248.78.178.0/23248.78.178.1 to 248.78.179.254248.78.179.255510
91248.78.180.0/23248.78.180.1 to 248.78.181.254248.78.181.255510
92248.78.182.0/23248.78.182.1 to 248.78.183.254248.78.183.255510
93248.78.184.0/23248.78.184.1 to 248.78.185.254248.78.185.255510
94248.78.186.0/23248.78.186.1 to 248.78.187.254248.78.187.255510
95248.78.188.0/23248.78.188.1 to 248.78.189.254248.78.189.255510
96248.78.190.0/23248.78.190.1 to 248.78.191.254248.78.191.255510
97248.78.192.0/23248.78.192.1 to 248.78.193.254248.78.193.255510
98248.78.194.0/23248.78.194.1 to 248.78.195.254248.78.195.255510
99248.78.196.0/23248.78.196.1 to 248.78.197.254248.78.197.255510
100248.78.198.0/23248.78.198.1 to 248.78.199.254248.78.199.255510
101248.78.200.0/23248.78.200.1 to 248.78.201.254248.78.201.255510
102248.78.202.0/23248.78.202.1 to 248.78.203.254248.78.203.255510
103248.78.204.0/23248.78.204.1 to 248.78.205.254248.78.205.255510
104248.78.206.0/23248.78.206.1 to 248.78.207.254248.78.207.255510
105248.78.208.0/23248.78.208.1 to 248.78.209.254248.78.209.255510
106248.78.210.0/23248.78.210.1 to 248.78.211.254248.78.211.255510
107248.78.212.0/23248.78.212.1 to 248.78.213.254248.78.213.255510
108248.78.214.0/23248.78.214.1 to 248.78.215.254248.78.215.255510
109248.78.216.0/23248.78.216.1 to 248.78.217.254248.78.217.255510
110248.78.218.0/23248.78.218.1 to 248.78.219.254248.78.219.255510
111248.78.220.0/23248.78.220.1 to 248.78.221.254248.78.221.255510
112248.78.222.0/23248.78.222.1 to 248.78.223.254248.78.223.255510
113248.78.224.0/23248.78.224.1 to 248.78.225.254248.78.225.255510
114248.78.226.0/23248.78.226.1 to 248.78.227.254248.78.227.255510
115248.78.228.0/23248.78.228.1 to 248.78.229.254248.78.229.255510
116248.78.230.0/23248.78.230.1 to 248.78.231.254248.78.231.255510
117248.78.232.0/23248.78.232.1 to 248.78.233.254248.78.233.255510
118248.78.234.0/23248.78.234.1 to 248.78.235.254248.78.235.255510
119248.78.236.0/23248.78.236.1 to 248.78.237.254248.78.237.255510
120248.78.238.0/23248.78.238.1 to 248.78.239.254248.78.239.255510
121248.78.240.0/23248.78.240.1 to 248.78.241.254248.78.241.255510
122248.78.242.0/23248.78.242.1 to 248.78.243.254248.78.243.255510
123248.78.244.0/23248.78.244.1 to 248.78.245.254248.78.245.255510
124248.78.246.0/23248.78.246.1 to 248.78.247.254248.78.247.255510
125248.78.248.0/23248.78.248.1 to 248.78.249.254248.78.249.255510
126248.78.250.0/23248.78.250.1 to 248.78.251.254248.78.251.255510
127248.78.252.0/23248.78.252.1 to 248.78.253.254248.78.253.255510
128248.78.254.0/23248.78.254.1 to 248.78.255.254248.78.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses